Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class CFHeaderRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.CFHeaderRecord

    public final class CFHeaderRecord

extends StandardRecord

Conditional Formatting Header record CFHEADER (0x01B0)

Author:
  Dmitriy Kumshayev

Field Summary
`static short` | `sid`

Constructor Summary
`CFHeaderRecord()` Creates new CFHeaderRecord
`CFHeaderRecord(CellRangeAddress[] regions, int nRules)`
`CFHeaderRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`CellRangeAddress[]` | `getCellRanges()`
`CellRangeAddress` | `getEnclosingCellRange()`
`boolean` | `getNeedRecalculation()`
`int` | `getNumberOfConditionalFormats()`
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setCellRanges(CellRangeAddress[] cellRanges)` Set cell ranges list to a single cell range and modify the enclosing cell range accordingly.
`void` | `setEnclosingCellRange(CellRangeAddress cr)`
`void` | `setNeedRecalculation(boolean b)`
`void` | `setNumberOfConditionalFormats(int n)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### CFHeaderRecord

    public CFHeaderRecord()

  Creates new CFHeaderRecord

### CFHeaderRecord

    public CFHeaderRecord(CellRangeAddress[] regions,
                          int nRules)

### CFHeaderRecord

    public CFHeaderRecord(RecordInputStream in)

Method Detail

### getNumberOfConditionalFormats

    public int getNumberOfConditionalFormats()

### setNumberOfConditionalFormats

    public void setNumberOfConditionalFormats(int n)

### getNeedRecalculation

    public boolean getNeedRecalculation()

### setNeedRecalculation

    public void setNeedRecalculation(boolean b)

### getEnclosingCellRange

    public CellRangeAddress getEnclosingCellRange()

### setEnclosingCellRange

    public void setEnclosingCellRange(CellRangeAddress cr)

### setCellRanges

    public void setCellRanges(CellRangeAddress[] cellRanges)

  Set cell ranges list to a single cell range and modify the enclosing cell range accordingly.

  Parameters:
    `cellRanges` - - list of CellRange objects

### getCellRanges

    public CellRangeAddress[] getCellRanges()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD